Subject: Re: draft-hain-templin-ipv6-localcomm-03 comments

From: Keith Moore <[email-masked]>
Date: Mon, 24 Nov 2003 14:13:40 -0500

> I hate NATs, and the delusion that private addresses are a security 
> feature,
> as much as you do.

This draft suffers from many more delusions than that.  If it's going 
to be viable it needs to treat commonly held network managers' beliefs 
as distinct from reality.  I'm all for trying to fashion a message in a 
form that network managers can understand and accept.  But we can't do 
good engineering if we either adopt their delusions or if we pretend 
that non-global addresses should be used in the same way as private 
addresses.

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Tim Chown <[email-masked]>
Date: Mon, 24 Nov 2003 22:02:24 +0000

On Mon, Nov 24, 2003 at 11:44:12PM +0200, Pekka Savola wrote:
> On Mon, 24 Nov 2003, Tony Hain wrote:
> > Brian E Carpenter wrote:
> > > ...
> > > Now, I would be completely happy for us to throw away the Hain/Templin
> > > draft as long as we immediately standardize the Hinden/Haberman solution.
> > > But if we want to address (pun intended) the problems of the real world,
> > > we cannot ignore the fact that most corporate network managers are
> > > profoundly convinced of the need for private addressing.
> > 
> > In many cases I would agree with Brian, but in this specific one we have an
> > example of lost discussion from many years ago about why network managers
> > 'need' a private space, and FEC0 was allocated for it. We need to document
> > why Hinden/Haberman is needed to solve today's problems, so we don't end up
> > arguing about it 5 years from now.
> 
> If you know the result in advance, why bother to write a 
> requirements/goals document?

You seem to want such documents a lot when you're wearing your v6ops hat :)

Tim

---

From: "Tony Hain" <[email-masked]>
Date: Mon, 24 Nov 2003 12:15:53 -0800

Tony